#!/bin/sh
TOPDIR=`pwd`/../../../../
. ${TOPDIR}tools/build_tools/Path.sh
. ${TOPDIR}tools/build_tools/config.sh
APPS_NAME="bluez-hcidump"

echo "----------------------------------------------------------------------"
echo "---------------------- build bluetooth hcidump -----------------------"
echo "----------------------------------------------------------------------"

parse_args $@

if [ $BUILD_CLEAN -eq 1 ]; then
	make distclean
	rm -f .config_ok
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi

if [ "$1" = "config_only" -a ! -f .config_ok -o $BUILD_CONFIGURE -eq 1 -o ! -f .config_ok ]; then
    if [ ! -f ${BUILD_ROOTFS_DIR}usr/include/bluetooth/bluetooth.h ]; then
        echo Delaying config until bluez-lib is built...
        exit 0
    fi
    ./configure --prefix=${BUILD_ROOTFS_DIR}usr --mandir=${BUILD_ROOTFS_DIR}usr/share/man --host=mips-linux
	ifx_error_check $?
	echo -n > .config_ok
fi

if [ "$1" = "config_only" ] ; then
	exit 0
fi

make AR=${IFX_AR} AS=${IFX_AS} LD=${IFX_LD} NM=${IFX_NM} CC=${IFX_CC} BUILDCC=${IFX_HOSTCC} GCC=${IFX_CC} CXX=${IFX_CXX} CPP=${IFX_CPP} RANLIB=${IFX_RANLIB} IFX_CFLAGS="${IFX_CFLAGS}" IFX_LDFLAGS="${IFX_LDFLAGS}" all
ifx_error_check $? 

make PREFIX=${BUILD_ROOTFS_DIR} install 
ifx_error_check $? 
