#!/bin/sh
APPS_NAME="bluez-hcidump"

echo "----------------------------------------------------------------------"
echo "--------------------- build bluetooth hcidump  -----------------------"
echo "----------------------------------------------------------------------"


if [ ! -f .config_ok ]; then
    if [ ! -f ${BUILD_ROOTFS_DIR}usr/include/bluetooth/bluetooth.h ]; then
        echo Delaying config until bluez-lib is built...
        exit 0
    fi
    ./configure --prefix=${BUILD_ROOTFS_DIR}usr --mandir=${BUILD_ROOTFS_DIR}usr/share/man --host=arm-linux
	if [ $? != 0 ]; then
		echo "$APPS_NAME - failed to configure"
		exit
	fi
	touch .config_ok
fi


make all
if [ $? != 0 ]; then
	echo "$APPS_NAME - failed to build"
	exit
fi

make PREFIX=${BUILD_ROOTFS_DIR} install 
if [ $? != 0 ]; then
	echo "$APPS_NAME - failed to install"
	exit
fi
